<template>
  <div>
    <h1>Form Level Validation</h1>
    <input name="email" v-model="email" />
    <span>{{ emailError }}</span>

    <input name="password" v-model="password" type="password" />
    <span>{{ passwordError }}</span>
  </div>
</template>

<script>
import { useForm, useField } from "vee-validate";

export default {
  setup() {
    // Define a validation schema
    const simpleSchema = {
      email(value) {
        if (!value.includes("@")) return "Not a valid email";
        // validate email value and return messages...
      },
      name(value) {
        if (value.length() < 4) return "Not a name";
        // validate name value and return messages...
      },
    };

    // Create a form context with the validation schema
    useForm({
      validationSchema: simpleSchema,
    });

    // No need to define rules for fields
    const { value: email, errorMessage: emailError } = useField("email");
    const { value: password, errorMessage: passwordError } = useField(
      "password"
    );

    return {
      email,
      emailError,
      password,
      passwordError,
    };
  },
};
</script>
